#
# spec file for package python-zope.exceptions-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.exceptions-doc
Version:        4.1.0
Release:        bp153.3.18
Summary:        Documentation for python-zope.exceptions
License:        ZPL-2.1
Group:          Documentation/HTML
Url:            http://cheeseshop.python.org/pypi/zope.exceptions
Source:         https://files.pythonhosted.org/packages/source/z/zope.exceptions/zope.exceptions-%{version}.tar.gz
# SECTION Documentation requirements
BuildRequires:  python3-Sphinx
BuildRequires:  python3-repoze.sphinx.autointerface
# /SECTION
BuildRequires:  python-rpm-macros
# SECTION Test requirements:
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.exceptions} = %{version}
BuildRequires:  %{python_module zope.testrunner}
# /SECTION
Requires:       python-zope.exceptions = %{version}
Provides:       %{python_module zope.exceptions-doc == %{version}}
BuildArch:      noarch

%description
This package contains documentation files for python-zope.exceptions.

%prep
%setup -q -n zope.exceptions-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# Not needed

%check
%python_exec %{_bindir}/zope-testrunner -vvv --test-path src

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE.txt
%doc build/sphinx/html/

%changelog
* Fri Jun 23 2017 aloisio@gmx.com
- Update to version 4.1.0
  * Drop support for Python 2.6 and 3.2.
  * Make exceptionformatter.extract_stack signature comply with
    traceback.extract_stack
  * Add support for Python 3.5.
  4.0.8:
  * Fixes around TextExceptionFormatter limit: formatException
    and extractStack was cutting the traceback at the bottom, at
    the most interesting point. Now it will cut from the middle.
    Some text about the missing entries will be inserted.
  * Maybe fix for extractStack, it did not detect recursions in
    the frames.
- Split -doc into separate package and put tests there
* Thu Sep  3 2015 toddrme2178@gmail.com
- Disable tests to avoid dependency loop
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.7:
  * Added explicit support for Python 3.4.
  * Updated boostrap.py to version 2.2.
- switch the source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
- pass -q to test to avoid spamming the build log
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Jul 29 2013 hpj@urpla.net
- generate documentation in separate -doc file
- enable tests (run tests on source tree)
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
